import { getLocalFileChunk, uploadLocalFile } from '@/api/base'

export default function (blobInfo, succFun, failFun) {
  const file = blobInfo.blob()
  getLocalFileChunk({ file_name: file.name, file_size: file.size })
    .then(response => {
      const params = {
        file,
        file_name: response.data.detail.file_name,
        now_package_num: 1,
        total_package_num: 1
      }
      uploadLocalFile(params)
        .then(res => {
          succFun(res.data.detail.uri)
        })
        .catch(() => {
          failFun('上传失败')
        })
    })
    .catch(() => {
      failFun('上传失败')
    })
}
